<?php
    include "../bd/bd_clientes.inc";
    

    $p_stat = recebevar("cid");
    $p_path = recebevar("path");
    $p_path = str_replace("*_*", "&",$p_path);
    $p_cnpj = recebevar("cnpj");
    $p_cnpj = preg_replace('/[^0-9]/', '', $p_cnpj);
    
    if (is_null($p_cnpj)){
        echo "<script> alert('$msg_cad_cli_cnpj_invalido'); </script>";
    }else{
        
        $url = 'http://receitaws.com.br/v1/cnpj/'.$p_cnpj;
        $ch = curl_init();
        // Return Page contents.
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
         // Grab URL and pass it to the variable
        curl_setopt($ch, CURLOPT_URL, $url);
        $json = curl_exec($ch);

 //       $json = file_get_contents($url);
        $data = json_decode($json);

        if ($data->status == 'ERROR'){
            echo "<script> alert('$data->message'); </script>";
            
         }else{
            $codcidnfe = TrazValorCampoWhere('cidadesnfe', 'codcid'," upper(cidade) = upper('". $data->municipio. "') and upper(uf) = upper('". $data->uf ."')" );
            
            $cep = preg_replace('/[^0-9]/', '', $data->cep);
            $nome = str_replace("&", 'E', $data->nome);
            $fantasia = str_replace("&", 'E', $data->fantasia);
            echo "<script>
                    document.cadastronovo.nome.value           = '$nome'; 
                    document.cadastronovo.fantasia.value       = '$fantasia';
                    document.cadastronovo.email.value          = '$data->email'; 
                    document.cadastronovo.endereco.value       = '$data->logradouro'; 
                    document.cadastronovo.numero.value         = '$data->numero';
                    document.cadastronovo.cep.value            = '$cep'; 
                    document.cadastronovo.bairro.value         = '$data->bairro'; 
                    document.cadastronovo.uf.value             = '$data->uf'; 
                    document.cadastronovo.fone.value           = '$data->telefone'; 
                    document.cadastronovo.complemento.value    = '$data->complemento'; 
                    document.cadastronovo.codcidnfe.value      = '$codcidnfe';
                    document.cadastronovo.cidnfe.value         = '$data->municipio';
                </script>";
        }
    }
    
?>
